#
# registerApps <next_root>
#


regBundle=$1/Library/Executables/registerBundle.exe

if [ ! -x $regBundle ] ; then
	echo registerApps: $regBundle executable does not exist!
	exit 1
fi


$regBundle $1/Demos/Console.app
$regBundle $1/Demos/Draw.app
$regBundle $1/Demos/MailViewer.app
$regBundle $1/Demos/Preview.app
$regBundle $1/Demos/TextEdit.app
$regBundle $1/Demos/Yap.app


#
# 1/23/98
# cnuttall --- fix empty services menu
#
# The following line should add the system apps
# (e.g. TextEdit, MailViewer) to the services menu.
#

$1/Library/Executables/make_services $1/Demos

